--- title: "Add a New User to an Existing Organization" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/authentication/add-user-to-existing-org/ description: "This API enables you to add a new end-user to an existing organization without creating a new organization for them through Catalyst Authentication." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Add a New User to an Existing Organization ### Description This API enables you to add a new end-user to an existing organization without creating a new organization for them. This can be done by providing the `[**ZAAID**](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/user-management/users/introduction/)` of the organization that the user must be added to. The organization of a user cannot be changed later, once it is associated with their account. When the user has signed up, unique identification values such as [`ZUID` and `User ID`](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/user-management/users/introduction/) are created for them. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/project-user - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.projects.users.CREATE #### Request JSON Properties - **platform_type** (string, mandatory): Accepted values: `web`, `android`, `ios` - **redirect_url** (string, optional): The URL to be redirected to, after the user signs up for the application Max Size: 200 - **user_details** (json, mandatory): The JSON that contains the details of the user - - **first_name** (string, optional): First name of the user Max Size: 100 - - **last_name** (string, mandatory): Last name of the user Max Size: 100 - - **email_id** (string, mandatory): Email address of the user - - **ZAAID** (string, mandatory): Unique identification of the organization that the user belongs to ### Response Details The response will contain the details of the user added in the `data` key, including the metadata and identification values such as `zaid`, `user_id`, and `org_id` that were generated. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/3000000002001/project-user \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: application/json" \ -d '{ "user_details":{ "first_name":"John", "last_name":"Winchester", "email_id":"john.w@zylker.com", "zaaid":4567899 }, "redirect_url": "https://logistics.zylker.com/app/index.html", "platform_type":"web" }' ``` **Sample Response** ```json { "status": "success", "data": { "zaid": 1011481670, "user_details": { "user_id": 671930400, "user_type": "App User", "zuid": 3000000006001, "zaaid": 1011520995, "status": "ACTIVE", "is_confirmed": true, "email_id": "john.w@zylker.com", "first_name": "John", "last_name": "Winchester", "created_time": "May 13, 2019 09:16 PM", "modified_time": "May 13, 2019 09:16 PM", "invited_time": "May 13, 2019 09:16 PM", "role_id": 3000000005015 }, "redirect_url": "https://logistics.zylker.com/app/index.html", "platform_type": "web", "org_id": 1011520995 "locale": "us|en_us|America/Los_Angeles" "time_zone": "America/Los_Angeles" } } ``` ### SDK Documentation [Add New User to Existing Org- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/authentication/add-new-user-to-existing-org/) [Add New User to Existing Org- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/authentication/add-new-user-to-existing-org/) [Add New User to Existing Org- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/authentication/add-new-user-to-existing-org/)